<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: MaintenanceStatistics.mts.test.php 3335 2005-06-10 11:41:30Z andrew $
*/

require_once MAX_PATH . '/lib/Max.php';
require_once MAX_PATH . '/lib/max/Table/Core.php';
require_once MAX_PATH . '/lib/max/Maintenance/Statistics.php';

/**
 * A class for testing the Maintenance_Statistics class.
 *
 * @package    MaxMaintenance
 * @subpackage TestSuite
 * @author     Andrew Hill <andrew@m3.net>
 */
class Maintenance_TestOfMaintenanceStatistics extends UnitTestCase
{
    
    /**
     * The constructor method.
     */
    function Maintenance_TestOfMaintenanceStatistics()
    {        
        $this->UnitTestCase();
    }
    
    /**
     * Test the creation of an AdServer module via the factory.
     */
    function testCreateAdServer()
    {
        $ms = &new Maintenance_Statistics();
        $classname = $ms->_deriveClassName('AdServer');
        $this->assertEqual($classname, 'Maintenance_Statistics_AdServer');
    }
    
    /**
     * Test the creation of a Tracker module via the factory.
     */
    function testCreateTracker()
    {
        $ms = &new Maintenance_Statistics();
        $classname = $ms->_deriveClassName('Tracker');
        $this->assertEqual($classname, 'Maintenance_Statistics_Tracker');
    }
    
}

?>
