<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: channel-edit.php 3616 2005-09-01 16:52:43Z radek $
*/

// Require the initialisation file
require_once '../../init.php';

// Required files
require_once MAX_PATH . '/lib/max/Admin/Languages.php';
require_once MAX_PATH . '/lib/max/Admin/Redirect.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';

// Register input variables
phpAds_registerGlobal (
	 'errormessage'
	,'submit'
	,'agencyid'
	,'channelid'
	,'channel_name'
);

// Security check
phpAds_checkAccess(phpAds_Admin + phpAds_Agency);

if (!empty($channelid))
{
	if(phpAds_isUser(phpAds_Agency)) {
		$agencyid = phpAds_getUserID();
	}
	$query = "SELECT *"
		." FROM ".$conf['table']['prefix'].$conf['table']['channel']
		." WHERE agencyid=".$agencyid
		."  AND channelid=".$channelid;
	$res = phpAds_dbQuery($query)
		or phpAds_sqlDie();
	if (phpAds_dbNumRows($res) == 0) {
		phpAds_PageHeader("2");
		phpAds_Die ($strAccessDenied, $strNotAdmin);
	} else {
		$channel = phpAds_dbFetchArray($res);
	}
}

if (phpAds_isUser(phpAds_Agency) && empty($agencyid)) {
	$agencyid = phpAds_getUserID();
}

if(empty($agencyid)) {
	MAX_Admin_Redirect::redirect("agency-index.php");
}


/*-------------------------------------------------------*/
/* Process submitted form                                */
/*-------------------------------------------------------*/

if (isset($submit)) {
	$errormessage = array();
	// Get previous values
	if (!empty($channelid)) {
		$res = phpAds_dbQuery("
			SELECT
				*
			FROM 
				".$conf['table']['prefix'].$conf['table']['channel']."
			WHERE
				channelid = ".$channelid
		) or phpAds_sqlDie();
		if (phpAds_dbNumRows($res)) {
			$channel = phpAds_dbFetchArray($res);
		}
	}
	// Name
	$channel['channel_name'] = trim($channel_name);
	$channel['agencyid'] = $agencyid;
	if(!empty($affiliateid)) {
		$channel['affiliateid'] = $affiliateid;
	}
	
	if (count($errormessage) == 0) {
		if (empty($channelid)) {
			$keys = array();
			$values = array();
			while (list($key, $value) = each($channel)) {
				$keys[] = $key;
				$values[] = $value;
			}
			$query  = "INSERT INTO ".$conf['table']['prefix'].$conf['table']['channel']." (";
			$query .= implode(", ", $keys);
			$query .= ") VALUES ('";
			$query .= implode("', '", $values);
			$query .= "')";
			// Insert
			phpAds_dbQuery($query) 
				or phpAds_sqlDie();
			$channelid = phpAds_dbInsertID();
		} else {
			$pairs = array();
			while (list($key, $value) = each($channel)) {
				$pairs[] = " ".$key."='".addslashes($value)."'";
			}
			$query  = "UPDATE ".$conf['table']['prefix'].$conf['table']['channel']." SET ";
			$query .= trim(implode(",", $pairs));
			$query .= " WHERE channelid = ".$channelid;
			// Update
			phpAds_dbQuery($query) 
				or phpAds_sqlDie();
		}
		// Go to next page
		MAX_Admin_Redirect::redirect("channel-acl.php?agencyid=$agencyid&affiliateid=$affiliateid&channelid=$channelid");
	}
}

/*-------------------------------------------------------*/
/* Process submitted form  END                           */
/*-------------------------------------------------------*/

/*-------------------------------------------------------*/
/* HTML framework                                        */
/*-------------------------------------------------------*/

	
if(!empty($affiliateid)) {
	phpAds_PageHeader("4.2.5");
	echo "<img src='images/icon-affiliate.gif' align='absmiddle'>&nbsp;<b>".phpAds_getAffiliateName($affiliateid)."</b><br /><br /><br />";
	phpAds_ShowSections(array("4.2.2", "4.2.3", "4.2.5", "4.2.4"));
} else {
	phpAds_PageHeader("5.5.3");
	if (phpAds_isUser(phpAds_Admin)) {
		echo "<img src='images/icon-advertiser.gif' align='absmiddle'>&nbsp;<b>".phpAds_getAgencyName($agencyid)."</b><br /><br /><br />";
		phpAds_ShowSections(array("5.5.2", "5.5.3"));
	} else {
		phpAds_ShowSections(array("5.1", "5.5.3"));
	}
}

$tabindex = 1;

/*-------------------------------------------------------*/
/* Main code                                             */
/*-------------------------------------------------------*/

echo "<br /><br />";
echo "<form name='channelform' method='post' action='channel-edit.php' onSubmit='return phpAds_formCheck(this);'>";
echo "<input type='hidden' name='agencyid' value='$agencyid'>";
echo "<input type='hidden' name='affiliateid' value='$affiliateid'>";
echo "<input type='hidden' name='channelid' value='".(!empty($channelid) ? $channelid : '')."'>";

// Header
echo "<table border='0' width='100%' cellpadding='0' cellspacing='0'>";
echo "<tr><td height='25' colspan='3'><b>".$strBasicInformation."</b></td></tr>";
echo "<tr height='1'><td width='30'><img src='images/break.gif' height='1' width='30'></td>";
echo "<td width='200'><img src='images/break.gif' height='1' width='200'></td>";
echo "<td width='100%'><img src='images/break.gif' height='1' width='100%'></td></tr>";
echo "<tr><td height='10' colspan='3'>&nbsp;</td></tr>";

// Channel Name
echo "<tr><td width='30'>&nbsp;</td><td width='200'>".$strName."</td>";
echo "<td><input onBlur='phpAds_formUpdate(this);' class='flat' type='text' name='channel_name' size='25' value='".phpAds_htmlQuotes($channel['channel_name'])."' style='width: 350px;' tabindex='".($tabindex++)."'></td>";
echo "</tr><tr><td><img src='images/spacer.gif' height='1' width='100%'></td>";
echo "<td colspan='2'><img src='images/break-l.gif' height='1' width='200' vspace='6'></td></tr>";

// Footer
echo "<tr><td height='10' colspan='3'><br/>&nbsp;</td></tr>";
echo "<tr height='1'><td colspan='3' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td></tr>";
echo "</table>";

echo "<br /><br />";
echo "<input type='submit' name='submit' value='".$strSaveChanges."' tabindex='".($tabindex++)."'>";
echo "</form>";

/*-------------------------------------------------------*/
/* Form requirements                                     */
/*-------------------------------------------------------*/

?>

<script language='JavaScript'>
<!--
	phpAds_formSetRequirements('channel_name', '<?php echo addslashes($strName); ?>', true);
//-->
</script>

<?php

/*-------------------------------------------------------*/
/* HTML framework                                        */
/*-------------------------------------------------------*/

phpAds_PageFooter();

?>
